<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>Advanced Cuts for Cooperative OPF: decoop::MainOptions Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Advanced Cuts for Cooperative OPF
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Friends</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedecoop.html">decoop</a></li><li class="navelem"><a class="el" href="structdecoop_1_1_main_options.html">MainOptions</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="structdecoop_1_1_main_options-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">decoop::MainOptions Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Processes user input from file options_main.txt.  
 <a href="structdecoop_1_1_main_options.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="input_structs_8hpp_source.html">inputStructs.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1b9651a65be07c1cf306ad316f6a6f4d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_main_options.html#a1b9651a65be07c1cf306ad316f6a6f4d">MainOptions</a> (const std::string &amp;path, const bool path_includes_name=false)</td></tr>
<tr class="memdesc:a1b9651a65be07c1cf306ad316f6a6f4d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructs a <a class="el" href="structdecoop_1_1_main_options.html" title="Processes user input from file options_main.txt. ">MainOptions</a> object given a path to the option file. Allows to specify a different file name from the default options_main.txt.  <a href="#a1b9651a65be07c1cf306ad316f6a6f4d">More...</a><br/></td></tr>
<tr class="separator:a1b9651a65be07c1cf306ad316f6a6f4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a5477588b7543f9a5dc71c2a495090c75"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5477588b7543f9a5dc71c2a495090c75"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_main_options.html#a5477588b7543f9a5dc71c2a495090c75">nominal_lp</a></td></tr>
<tr class="memdesc:a5477588b7543f9a5dc71c2a495090c75"><td class="mdescLeft">&#160;</td><td class="mdescRight">LP file name for nominal operation. <br/></td></tr>
<tr class="separator:a5477588b7543f9a5dc71c2a495090c75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb193299c0e56c731987b970b6312e92"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb193299c0e56c731987b970b6312e92"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_main_options.html#aeb193299c0e56c731987b970b6312e92">price_lp</a></td></tr>
<tr class="memdesc:aeb193299c0e56c731987b970b6312e92"><td class="mdescLeft">&#160;</td><td class="mdescRight">LP file name for computing prices. <br/></td></tr>
<tr class="separator:aeb193299c0e56c731987b970b6312e92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c43d7fb85f28dcc1b1a66e60ae43157"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c43d7fb85f28dcc1b1a66e60ae43157"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_main_options.html#a8c43d7fb85f28dcc1b1a66e60ae43157">integrated_lp</a></td></tr>
<tr class="memdesc:a8c43d7fb85f28dcc1b1a66e60ae43157"><td class="mdescLeft">&#160;</td><td class="mdescRight">LP file name for the integrated problem. <br/></td></tr>
<tr class="separator:a8c43d7fb85f28dcc1b1a66e60ae43157"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f8776933747f455f4973fc786869a73"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f8776933747f455f4973fc786869a73"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_main_options.html#a8f8776933747f455f4973fc786869a73">sub_dr_lp</a></td></tr>
<tr class="memdesc:a8f8776933747f455f4973fc786869a73"><td class="mdescLeft">&#160;</td><td class="mdescRight">LP file name for the demand response problem. <br/></td></tr>
<tr class="separator:a8f8776933747f455f4973fc786869a73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96633b539424b2046da7a2829d0e0334"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a96633b539424b2046da7a2829d0e0334"></a>
unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_main_options.html#a96633b539424b2046da7a2829d0e0334">timesteps</a></td></tr>
<tr class="memdesc:a96633b539424b2046da7a2829d0e0334"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of timesteps in the model. <br/></td></tr>
<tr class="separator:a96633b539424b2046da7a2829d0e0334"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3554b6bc902318c26081501c6e19f559"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3554b6bc902318c26081501c6e19f559"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_main_options.html#a3554b6bc902318c26081501c6e19f559">univ_str</a></td></tr>
<tr class="memdesc:a3554b6bc902318c26081501c6e19f559"><td class="mdescLeft">&#160;</td><td class="mdescRight">Multi-purpose string for output. <br/></td></tr>
<tr class="separator:a3554b6bc902318c26081501c6e19f559"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b735345000795e52aafdfc9ae4c407e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b735345000795e52aafdfc9ae4c407e"></a>
std::vector&lt; std::pair&lt; int, <br class="typebreak"/>
double &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_main_options.html#a9b735345000795e52aafdfc9ae4c407e">plantbusses</a></td></tr>
<tr class="memdesc:a9b735345000795e52aafdfc9ae4c407e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Contains bus numbers of cooperating busses as well as flexible load fractions. <br/></td></tr>
<tr class="separator:a9b735345000795e52aafdfc9ae4c407e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ac01520df1f240d9f13e0126ba7143e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ac01520df1f240d9f13e0126ba7143e"></a>
char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_main_options.html#a3ac01520df1f240d9f13e0126ba7143e">cong_indicator</a></td></tr>
<tr class="memdesc:a3ac01520df1f240d9f13e0126ba7143e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether the grid is in a congested state. <br/></td></tr>
<tr class="separator:a3ac01520df1f240d9f13e0126ba7143e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cb4d9f2195307716f83789852ed0341"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8cb4d9f2195307716f83789852ed0341"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_main_options.html#a8cb4d9f2195307716f83789852ed0341">use_int_prob</a></td></tr>
<tr class="memdesc:a8cb4d9f2195307716f83789852ed0341"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether the integrated problem should be solved. <br/></td></tr>
<tr class="separator:a8cb4d9f2195307716f83789852ed0341"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90d8406e30b9ec993b7e3c9e7c6227bd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90d8406e30b9ec993b7e3c9e7c6227bd"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_main_options.html#a90d8406e30b9ec993b7e3c9e7c6227bd">output_name</a></td></tr>
<tr class="memdesc:a90d8406e30b9ec993b7e3c9e7c6227bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">File name for output txt file. <br/></td></tr>
<tr class="separator:a90d8406e30b9ec993b7e3c9e7c6227bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a960ff610d1b23ac3c91187529a60c8f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a960ff610d1b23ac3c91187529a60c8f1"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_main_options.html#a960ff610d1b23ac3c91187529a60c8f1">csv_name</a></td></tr>
<tr class="memdesc:a960ff610d1b23ac3c91187529a60c8f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">File name for output csv file. <br/></td></tr>
<tr class="separator:a960ff610d1b23ac3c91187529a60c8f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f0d543cd46cfb0ebf2dfc658a5ce12e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0f0d543cd46cfb0ebf2dfc658a5ce12e"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_main_options.html#a0f0d543cd46cfb0ebf2dfc658a5ce12e">spec_name</a></td></tr>
<tr class="memdesc:a0f0d543cd46cfb0ebf2dfc658a5ce12e"><td class="mdescLeft">&#160;</td><td class="mdescRight">File name for case study csv file which contains cumulated selected information. <br/></td></tr>
<tr class="separator:a0f0d543cd46cfb0ebf2dfc658a5ce12e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeac3d0b456109248ae70f401caf96dda"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeac3d0b456109248ae70f401caf96dda"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_main_options.html#aeac3d0b456109248ae70f401caf96dda">spec_func</a></td></tr>
<tr class="memdesc:aeac3d0b456109248ae70f401caf96dda"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determines which information to write to case study csv file. <br/></td></tr>
<tr class="separator:aeac3d0b456109248ae70f401caf96dda"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a259a9032be522554bc91133d8860d0fa"><td class="memItemLeft" align="right" valign="top">std::fstream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_main_options.html#a259a9032be522554bc91133d8860d0fa">operator&gt;&gt;</a> (std::fstream &amp;in, <a class="el" href="structdecoop_1_1_main_options.html">MainOptions</a> &amp;opt)</td></tr>
<tr class="memdesc:a259a9032be522554bc91133d8860d0fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded operator to read in the option file.  <a href="#a259a9032be522554bc91133d8860d0fa">More...</a><br/></td></tr>
<tr class="separator:a259a9032be522554bc91133d8860d0fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Processes user input from file options_main.txt. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a1b9651a65be07c1cf306ad316f6a6f4d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">decoop::MainOptions::MainOptions </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>path_includes_name</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructs a <a class="el" href="structdecoop_1_1_main_options.html" title="Processes user input from file options_main.txt. ">MainOptions</a> object given a path to the option file. Allows to specify a different file name from the default options_main.txt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>Path to the option file. Can, but does not have to, include the file name. </td></tr>
    <tr><td class="paramname">path_includes_name</td><td>Indicates whether path includes name of the option file. Default value is false. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a class="anchor" id="a259a9032be522554bc91133d8860d0fa"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::fstream&amp; operator&gt;&gt; </td>
          <td>(</td>
          <td class="paramtype">std::fstream &amp;&#160;</td>
          <td class="paramname"><em>in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structdecoop_1_1_main_options.html">MainOptions</a> &amp;&#160;</td>
          <td class="paramname"><em>opt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Overloaded operator to read in the option file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">in</td><td>Reference to std::fstream object containing the option file. </td></tr>
    <tr><td class="paramname">opt</td><td>Reference to <a class="el" href="structdecoop_1_1_main_options.html" title="Processes user input from file options_main.txt. ">MainOptions</a> object to store input. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following files:<ul>
<li>inc/<a class="el" href="input_structs_8hpp_source.html">inputStructs.hpp</a></li>
<li>src/<a class="el" href="input_structs_8cpp.html">inputStructs.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.5
</small></address>
</body>
</html>
